---
wsId: BitLeague
title: BitLeague
altTitle: 
authors:
- danny
users: 1000
appId: com.bitleague
appCountry: us
released: 2019-05-06
updated: 2021-05-14
version: 2.15.2
stars: 4.6
ratings: 246
reviews: 139
size: 19M
website: https://www.bitleague.com
repository: 
issue: 
icon: com.bitleague.png
bugbounty: 
meta: stale
verdict: custodial
date: 2022-05-10
signer: 
reviewArchive: 
twitter: BitLeague_Group
social:
- https://www.linkedin.com/company/bitleaguegroup
- https://www.facebook.com/bitleaguegroup
redirect_from: 

---

## App Description

> Buy and sell Bitcoin for free, up to 9% guaranteed returns on Bitcoin term deposits, and the market's lowest rates on loans without selling your Bitcoin, we've redefined Bitcoin banking.

## The Site

### Terms

BitLeague has the power to suspend or lock the user's funds as seen in their [Terms of Service](https://www.bitleague.com/secure/service)

> Section 2.15 You agree and acknowledge that Bitleague has the right at any moment to suspend your account and any account for which you are a representative or authorized signatory, etc. You also **agree that Bitleague can freeze/lock the funds and assets in all such accounts, and suspend your access to the Site** until a decision has been made, if we suspect, in our sole discretion, any such accounts to be in violation of:

Users can [withdraw](https://bitleague.bitleague.com/hc/en-us/articles/360026387951-How-to-Make-An-Early-Withdrawal-with-My-Term-Deposit-) and [deposit](https://bitleague.bitleague.com/hc/en-us/articles/360025507332--What-are-the-minimum-and-maximum-deposit-requirements-for-the-BitLeague-Bitcoin-Term-Deposit-Account-) Bitcoin.

## Verdict

The service is very similar to deposit services of banks. They also require ID verification and KYC similar to banks. If you need to seek withdrawal permissions from a service, then that would mean that the service is a **custodian** and thus, the app **cannot be verified.**
